## mkvtoolnix 12.0.0

=== debian/changelog ===
mkvtoolnix (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 21 May 2017 10:57:20 +0200

mkvtoolnix (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 23 Apr 2017 19:01:33 +0200

mkvtoolnix (10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 26 Mar 2017 11:00:21 +0200

mkvtoolnix (9.9.0-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sun, 19 Feb 2017 18:28:45 +0100

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.5),
 libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
 libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
 qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~), rake, po4a,
 nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 13.0.0

=== debian/changelog ===
mkvtoolnix (13.0.0-2) unstable; urgency=medium

  * Remove broken symlink to quilt/README.source (Closes: #862731)

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Jul 2017 10:13:50 +0200

mkvtoolnix (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Jun 2017 12:13:26 +0200

mkvtoolnix (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Jun 2017 21:54:10 +0200

## mkvtoolnix 14.0.0

=== debian/changelog ===
mkvtoolnix (14.0.0-2) unstable; urgency=medium

  * Rebuild against libebml 1.3.4-2

 -- Christian Marillat <marillat@debian.org>  Sun, 06 Aug 2017 19:09:56 +0200

mkvtoolnix (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Support for files in include/nlohmann has been added (Closes: #868573)

 -- Christian Marillat <marillat@debian.org>  Sun, 23 Jul 2017 12:26:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.5),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,

## mkvtoolnix 15.0.0

=== debian/changelog ===
mkvtoolnix (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 19 Aug 2017 12:06:46 +0200

mkvtoolnix (14.0.0-3) unstable; urgency=medium

  * Add upstream patch to fix a crash (null pointer dereference).
    (Closes: #871941).

 -- Christian Marillat <marillat@debian.org>  Sun, 13 Aug 2017 11:19:44 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
  qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~), rake, po4a,
  nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev
+
+# libebml-dev (>= 1.3.5~)
 
 Package: mkvtoolnix
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-gui

#	exit 1

	rake -j $(NCPUS)

	mv src/mkvinfo src/mkvinfo-gui

	rake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
	rake clean:dist

	dh_auto_configure -- \
	--disable-gui

	rake default -j $(NCPUS)

override_dh_clean:
	[ ! -f build-config ] || rake clean:dist

	dh_clean src/mkvinfo-gui config.status config.log \
	rake.d/dependecy.d/*.rb src/input/*.d config.h build-config \
	src/mkvtoolnix-gui/mkvtoolnix-gui

override_dh_install:
	rake install DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
	rake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'

	cp share/desktop/org.bunkus.mkvtoolnix-gui.desktop debian/tmp/usr/share/applications
	cp share/desktop/org.bunkus.mkvinfo.desktop debian/tmp/usr/share/applications
	mv debian/tmp/usr/bin/mkvinfo debian/tmp/usr/bin/mkvinfo-text

	dh_install --fail-missing -Xmkvtoolnix.xml

	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz

override_dh_auto_build:
override_dh_prep:

## mkvtoolnix 18.0.0

=== debian/changelog ===
mkvtoolnix (18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 18 Nov 2017 16:14:53 +0100

mkvtoolnix (17.0.0-2) unstable; urgency=medium

  * debian/rules Replaces --*-gui configure options by --*-qt

 -- Christian Marillat <marillat@debian.org>  Mon, 30 Oct 2017 23:24:03 +0100

mkvtoolnix (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 14 Oct 2017 18:10:38 +0200

mkvtoolnix (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 30 Sep 2017 16:55:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
- libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.5),
+ libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.8),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
  qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~), rake, po4a,
- nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev
-
-# libebml-dev (>= 1.3.5~)
+ nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev,
+ libebml-dev (>= 1.3.5~)
 
 Package: mkvtoolnix
 Architecture: any

## mkvtoolnix 19.0.0

=== debian/changelog ===
mkvtoolnix (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 18 Dec 2017 09:56:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.8),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	--enable-gui
+	--enable-qt
 
 #	exit 1
 
@@ -26,7 +26,7 @@
 	rake clean:dist
 
 	dh_auto_configure -- \
-	--disable-gui
+	--disable-qt
 
 	rake default -j $(NCPUS)

## mkvtoolnix 23.0.0

=== debian/changelog ===
mkvtoolnix (23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 04 May 2018 14:36:45 +0200

mkvtoolnix (22.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Apr 2018 08:47:47 +0200

mkvtoolnix (21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libcmark-dev to Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Thu, 15 Mar 2018 14:48:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), libboost-math-dev, libboost-regex-dev,
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.8),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
  qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~), rake, po4a,
  nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev,
- libebml-dev (>= 1.3.5~)
+ libebml-dev (>= 1.3.5~), libcmark-dev
 
 Package: mkvtoolnix
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,6 @@
 	rake install 'install:shared' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
 
 	cp share/desktop/org.bunkus.mkvtoolnix-gui.desktop debian/tmp/usr/share/applications
-	cp share/desktop/org.bunkus.mkvinfo.desktop debian/tmp/usr/share/applications
 	mv debian/tmp/usr/bin/mkvinfo debian/tmp/usr/bin/mkvinfo-text
 
 	dh_install --fail-missing -Xmkvtoolnix.xml

## mkvtoolnix 24.0.0

=== debian/changelog ===
mkvtoolnix (24.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 11 Jun 2018 16:35:40 +0200

mkvtoolnix (23.0.0-2) unstable; urgency=medium

  * Rebuild against libcmark0 0.28 (Closes: #900359)

 -- Christian Marillat <marillat@debian.org>  Tue, 29 May 2018 16:10:15 +0200

## mkvtoolnix 25.0.0

=== debian/changelog ===
mkvtoolnix (25.0.0-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:01:11 +0000

mkvtoolnix (25.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 13 Jul 2018 07:05:17 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
  qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~), rake, po4a,
  nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev,
- libebml-dev (>= 1.3.5~), libcmark-dev
+ libebml-dev (>= 1.3.5~), libcmark-dev (>= 0.28.3~)
 
 Package: mkvtoolnix
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -44,10 +44,14 @@
 	cp share/desktop/org.bunkus.mkvtoolnix-gui.desktop debian/tmp/usr/share/applications
 	mv debian/tmp/usr/bin/mkvinfo debian/tmp/usr/bin/mkvinfo-text
 
-	dh_install --fail-missing -Xmkvtoolnix.xml
+	dh_install -Xmkvtoolnix.xml
 
 	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
 	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz
 
+override_dh_missing:
+
+	dh_missing --fail-missing -Xmkvtoolnix.xml
+
 override_dh_auto_build:
 override_dh_prep:

## mkvtoolnix 28.2.0

=== debian/changelog ===
mkvtoolnix (28.2.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Fri, 26 Oct 2018 00:15:23 +0200

mkvtoolnix (28.1.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Wed, 24 Oct 2018 09:19:53 +0200

mkvtoolnix (28.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 20 Oct 2018 19:45:35 +0200

mkvtoolnix (27.0.0-2) unstable; urgency=medium

  * We don't have a non Qt mkvinfo so remove mkvinfo-gui binary and related
    alternatives (Closes: #909751)

 -- Christian Marillat <marillat@debian.org>  Fri, 28 Sep 2018 00:34:27 +0200

mkvtoolnix (27.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 26 Sep 2018 23:34:23 +0200

mkvtoolnix (26.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 29 Aug 2018 08:51:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 11), libboost-math-dev, libboost-regex-dev,
  libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.8),
  libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,

## mkvtoolnix 29.0.0

=== debian/changelog ===
mkvtoolnix (29.0.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * debian/control: 
    - Revert change to use latest boost, use libboost-filesystem-dev (>= 1.58~)
      instead.
    - Remove qt5-default as B-D per Debian policy, use qtbase5-dev and
      qttools5-dev-tools as B-Ds along with QT-SELECT in rules file instead.
  * Revert to debhelper compat 10 to ease backports.
  * Don't build automatic dbgsym packages.
  * Force versions of libebml4v5 and libmatroska6v5 Ds for mkvtoolnix package.
  * Update debian/copyright dates.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Dec 2018 18:55:40 -0800

mkvtoolnix (29.0.0-2) unstable; urgency=medium

  * Force to install latest boost (1.67)

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Dec 2018 08:28:56 +0100

mkvtoolnix (29.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libfmt-dev to Build-Depends

 -- Christian Marillat <marillat@debian.org>  Sat, 01 Dec 2018 19:11:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,44 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11), libboost-math-dev, libboost-regex-dev,
- libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.8),
- libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
- libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
- qt5-default (>= 5.3~), libboost-filesystem-dev (>= 1.58~), rake, po4a,
- nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev,
- libebml-dev (>= 1.3.5~), libcmark-dev (>= 0.28.3~)
+Build-Depends: debhelper (>= 10~),
+ libboost-math-dev,
+ libboost-regex-dev,
+ libbz2-dev,
+ libflac-dev,
+ libmagic-dev,
+ libmatroska-dev (>= 1.4.8),
+ libogg-dev,
+ libpcre3-dev,
+ libvorbis-dev,
+ ruby,
+ rake,
+ liblzo2-dev,
+ zlib1g-dev,
+ libcurl4-gnutls-dev,
+ pkg-config,
+ libboost-date-time-dev,
+ libpugixml-dev,
+ qtbase5-dev (>= 5.3~),
+ qttools5-dev-tools (>= 5.3~),
+ libboost-filesystem-dev (>= 1.58~),
+ po4a,
+ nlohmann-json-dev,
+ xsltproc, docbook-xsl,
+ qtmultimedia5-dev,
+ libfmt-dev,
+ libebml-dev (>= 1.3.5~),
+ libcmark-dev (>= 0.28.3~)
 
 Package: mkvtoolnix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         libmatroska6v5 (>= 1.4.9),
+         libebml4v5 (>= 1.3.6)
 Suggests: mkvtoolnix-gui
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
	--enable-debug

#	exit 1

override_dh_auto_build:
	rake -j $(NCPUS)

override_dh_clean:
	[ ! -f build-config ] || rake clean:dist

	dh_clean config.status rake.d/dependecy.d/*.rb src/input/*.d \
	config.h build-config

override_dh_install:
	rake install DESTDIR=$(CURDIR)/debian/tmp

#	cp share/desktop/org.bunkus.mkvtoolnix-gui.desktop debian/tmp/usr/share/applications

	dh_install -Xmkvtoolnix.xml

override_dh_missing:
	dh_missing --fail-missing -Xmkvtoolnix.xml

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mkvtoolnix 30.0.0

=== debian/changelog ===
mkvtoolnix (30.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 04 Jan 2019 18:06:09 +0100

## mkvtoolnix 30.1.0

=== debian/changelog ===
mkvtoolnix (30.1.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * debian/control: 
    - Revert change to use latest boost, use libboost-filesystem-dev (>= 1.58~)
      instead.
    - Remove qt5-default as B-D per Debian policy, use qtbase5-dev and
      qttools5-dev-tools as B-Ds along with QT-SELECT in rules file instead.
  * Revert to debhelper compat 10 to ease backports.
  * Don't build automatic dbgsym packages.
  * Force versions of libebml4v5 and libmatroska6v5 Ds for mkvtoolnix package.
  * Update debian/copyright dates.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Jan 2019 19:06:18 -0800

mkvtoolnix (30.1.0-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Remove patch added in previous release.

 -- Christian Marillat <marillat@debian.org>  Sat, 05 Jan 2019 18:31:44 +0100

mkvtoolnix (30.0.0-2) unstable; urgency=medium

  * Patch from upstream to fix build on non-UTF-8 locales (Closes: #918344)

 -- Christian Marillat <marillat@debian.org>  Sat, 05 Jan 2019 16:54:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10~),
  libboost-math-dev,
  libboost-regex-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 	NCPUS:=1
 endif
 
+export QT_SELECT=5
+
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
-
-export QT_SELECT=qt5
 
 %:
 	dh $@

## mkvtoolnix 31.0.0

=== lib/libebml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(ebml VERSION 1.3.6)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)

include(GNUInstallDirs)

set(libebml_SOURCES
  src/Debug.cpp
  src/EbmlBinary.cpp
  src/EbmlContexts.cpp
  src/EbmlCrc32.cpp
  src/EbmlDate.cpp
  src/EbmlDummy.cpp
  src/EbmlElement.cpp
  src/EbmlFloat.cpp
  src/EbmlHead.cpp
  src/EbmlMaster.cpp
  src/EbmlSInteger.cpp
  src/EbmlStream.cpp
  src/EbmlString.cpp
  src/EbmlSubHead.cpp
  src/EbmlUInteger.cpp
  src/EbmlUnicodeString.cpp
  src/EbmlVersion.cpp
  src/EbmlVoid.cpp
  src/IOCallback.cpp
  src/MemIOCallback.cpp
  src/MemReadIOCallback.cpp
  src/SafeReadIOCallback.cpp
  src/StdIOCallback.cpp)

set(libebml_PUBLIC_HEADERS
  ebml/Debug.h
  ebml/EbmlBinary.h
  ebml/EbmlConfig.h
  ebml/EbmlContexts.h
  ebml/EbmlCrc32.h
  ebml/EbmlDate.h
  ebml/EbmlDummy.h
  ebml/EbmlElement.h
  ebml/EbmlEndian.h
  ebml/EbmlFloat.h
  ebml/EbmlHead.h
  ebml/EbmlId.h
  ebml/EbmlMaster.h
  ebml/EbmlSInteger.h
  ebml/EbmlStream.h
  ebml/EbmlString.h
  ebml/EbmlSubHead.h
  ebml/EbmlTypes.h
  ebml/EbmlUInteger.h
  ebml/EbmlUnicodeString.h
  ebml/EbmlVersion.h
  ebml/EbmlVoid.h
  ebml/IOCallback.h
  ebml/MemIOCallback.h
  ebml/MemReadIOCallback.h
  ebml/SafeReadIOCallback.h
  ebml/StdIOCallback.h)

set(libebml_C_PUBLIC_HEADERS ebml/c/libebml_t.h)

add_library(ebml ${libebml_SOURCES} ${libebml_PUBLIC_HEADERS} ${libebml_C_PUBLIC_HEADERS})
if(WIN32)
  include(CheckIncludeFile)
  check_include_file(winapifamily.h HAVE_WINAPIFAMILY_H)
  if(HAVE_WINAPIFAMILY_H)
    target_compile_definitions(ebml PUBLIC HAVE_WINAPIFAMILY_H)
  endif()
endif()
set_target_properties(ebml PROPERTIES
  VERSION 4.0.0
  SOVERSION 4)
target_include_directories(ebml PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(ebml PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()
if(BUILD_SHARED_LIBS)
  set_target_properties(ebml
    PROPERTIES
    DEFINE_SYMBOL "EBML_DLL_EXPORT"
    C_VISIBILITY_PRESET hidden
    VISIBILITY_INLINES_HIDDEN 1)
  target_compile_definitions(ebml
    PUBLIC EBML_DLL
    PRIVATE EBML_DLL_EXPORT)
endif()

install(TARGETS ebml
  EXPORT EbmlTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libebml_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)
install(FILES ${libebml_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml/c)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  configure_file(libebml.pc.in libebml.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libebml.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  if(WIN32)
    set(CMAKE_INSTALL_PACKAGEDIR cmake)
  else()
    set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
  endif()
  include(CMakePackageConfigHelpers)
  write_basic_package_version_file(EbmlConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT EbmlTargets DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/EbmlConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/EbmlConfigVersion.cmake
      DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== lib/fmt/doc/CMakeLists.txt ===
find_program(DOXYGEN doxygen)
if (NOT DOXYGEN)
  message(STATUS "Target 'doc' disabled (requires doxygen)")
  return ()
endif ()

add_custom_target(doc
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/build.py ${FMT_VERSION}
  SOURCES api.rst syntax.rst build.py conf.py _templates/layout.html)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
        DESTINATION share/doc/fmt OPTIONAL)

=== debian/changelog ===
mkvtoolnix (31.0.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Christian Marillat <marillat@debian.org>  Fri, 22 Jan 2021 11:57:44 +0800

mkvtoolnix (31.0.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sat, 09 Feb 2019 17:15:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,20 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10~),
- libboost-math-dev,
- libboost-regex-dev,
- libbz2-dev,
- libflac-dev,
- libmagic-dev,
- libmatroska-dev (>= 1.4.8),
- libogg-dev,
- libpcre3-dev,
- libvorbis-dev,
- ruby,
- rake,
- liblzo2-dev,
- zlib1g-dev,
- libcurl4-gnutls-dev,
- pkg-config,
- libboost-date-time-dev,
- libpugixml-dev,
- qtbase5-dev (>= 5.3~),
- qttools5-dev-tools (>= 5.3~),
- libboost-filesystem-dev (>= 1.58~),
- po4a,
- nlohmann-json-dev,
- xsltproc, docbook-xsl,
- qtmultimedia5-dev,
- libfmt-dev,
- libebml-dev (>= 1.3.5~),
- libcmark-dev (>= 0.28.3~)
+Build-Depends: debhelper-compat (= 12), libboost-math-dev, libboost-regex-dev,
+ libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.8),
+ libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
+ libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
+ qt5-default (>= 5.4~), libboost-filesystem1.67-dev, rake, po4a,
+ nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev, libfmt-dev,
+ libebml-dev (>= 1.3.5~), libcmark-dev (>= 0.28.3~)
 
 Package: mkvtoolnix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         libmatroska6v5 (>= 1.4.9),
-         libebml4v5 (>= 1.3.6)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: mkvtoolnix-gui
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 else
 	NCPUS:=1
 endif
-
-export QT_SELECT=5
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
@@ -38,7 +36,5 @@
 	dh_install -Xmkvtoolnix.xml
 
 override_dh_missing:
+
 	dh_missing --fail-missing -Xmkvtoolnix.xml
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## mkvtoolnix 33.1.0

=== debian/changelog ===
mkvtoolnix (33.1.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * debian/control:-
    - wrap and sort build-depends.
    - bump minimum versions of libebml-dev and libmatroska-dev required.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 26 Apr 2019 19:32:54 -0700

mkvtoolnix (31.0.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * debian/control: 
    - Revert change to use latest boost, use libboost-filesystem-dev (>= 1.58)
      instead.
    - Remove qt5-default as B-D per Debian policy, use qtbase5-dev and
      qttools5-dev-tools as B-Ds along with QT-SELECT in rules file instead.
  * Revert to debhelper compat 10 to ease backports.
  * Don't build automatic dbgsym packages.
  * Force versions of libebml4v5 and libmatroska6v5 Ds for mkvtoolnix package.
  * Update debian/copyright dates.
  
 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Mar 2019 16:11:24 -0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,44 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 4.3.0
-Build-Depends: debhelper-compat (= 12), libboost-math-dev, libboost-regex-dev,
- libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.8),
- libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
- libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
- qt5-default (>= 5.4~), libboost-filesystem1.67-dev, rake, po4a,
- nlohmann-json-dev, xsltproc, docbook-xsl, qtmultimedia5-dev, libfmt-dev,
- libebml-dev (>= 1.3.5~), libcmark-dev (>= 0.28.3~)
+Build-Depends: debhelper (>= 10.2~),
+               docbook-xsl,
+               libboost-date-time-dev (>= 1.58),
+               libboost-filesystem-dev (>= 1.58),
+               libboost-math-dev (>= 1.58),
+               libboost-regex-dev (>= 1.58),
+               libbz2-dev,
+               libcmark-dev (>= 0.28.3),
+               libcurl4-gnutls-dev,
+               libebml-dev (>= 1.3.7),
+               libflac-dev,
+               libfmt-dev,
+               liblzo2-dev,
+               libmagic-dev,
+               libmatroska-dev (>= 1.5.0),
+               libogg-dev,
+               libpcre3-dev,
+               libpugixml-dev,
+               libvorbis-dev,
+               nlohmann-json-dev,
+               pkg-config,
+               po4a,
+               qtmultimedia5-dev (>= 5.4),
+               qtbase5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
+               rake,
+               ruby,
+               xsltproc,
+               zlib1g-dev
 
 Package: mkvtoolnix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         libebml4v5 (>= 1.3.7), libmatroska6v5 (>= 1.5.0)
 Suggests: mkvtoolnix-gui
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible

## mkvtoolnix 35.0.0

=== debian/changelog ===
mkvtoolnix (35.0.0-3) unstable; urgency=medium

  * Re-enable dh_dwz call.

 -- Christian Marillat <marillat@debian.org>  Mon, 22 Jul 2019 14:14:05 +0200

mkvtoolnix (35.0.0-2) unstable; urgency=medium

  * Don't call dh_dwz (doesn't work with mips, mipsel, mips64el see 932019)
    Closes: #925778

 -- Christian Marillat <marillat@debian.org>  Mon, 15 Jul 2019 14:00:57 +0200

mkvtoolnix (35.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Move mkvtoolnix-gui manpages to mkvtoolnix-gui package (CLoses: #929319)
  * Build Depends on nlohmann-json3-dev (was nlohmann-json-dev) (Closes: #927236)
  * libmatroska-dev 1.5.0 is required

 -- Christian Marillat <marillat@debian.org>  Wed, 03 Jul 2019 18:33:23 +0200

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 12), libboost-math-dev, libboost-regex-dev,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.5.0),
 libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
 libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
 qt5-default (>= 5.4~), libboost-filesystem1.67-dev, rake, po4a,
 nlohmann-json3-dev, xsltproc, docbook-xsl, qtmultimedia5-dev, libfmt-dev,
 libebml-dev (>= 1.3.5~), libcmark-dev (>= 0.28.3~)

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

=== debian/rules ===
--- 
+++ 
@@ -36,5 +36,4 @@
 	dh_install -Xmkvtoolnix.xml
 
 override_dh_missing:
-
 	dh_missing --fail-missing -Xmkvtoolnix.xml

## mkvtoolnix 36.0.0

=== debian/changelog ===
mkvtoolnix (36.0.0-1~mx17+1) mx; urgency=medium

  * New upstream bugfix release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Aug 2019 17:52:58 -0700

mkvtoolnix (35.0.0-1~mx17+2) mx; urgency=medium

  * Make sure mkvtoolnix-gui manpages are not installed in mkvtoolnix package.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 14 Jul 2019 12:13:38 -0700

mkvtoolnix (35.0.0-1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Move mkvtoolnix-gui manpages to mkvtoolnix-gui package.
  * Build Depends on nlohmann-json3-dev (was nlohmann-json-dev).

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Jul 2019 09:19:49 -0700

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 10.2~),
               docbook-xsl,
               libboost-date-time-dev (>= 1.58),
               libboost-filesystem-dev (>= 1.58),
               libboost-math-dev (>= 1.58),
               libboost-regex-dev (>= 1.58),
               libbz2-dev,
               libcmark-dev (>= 0.28.3),
               libcurl4-gnutls-dev,
               libebml-dev (>= 1.3.7),
               libflac-dev,
               libfmt-dev,
               liblzo2-dev,
               libmagic-dev,
               libmatroska-dev (>= 1.5.0),
               libogg-dev,
               libpcre3-dev,
               libpugixml-dev,
               libvorbis-dev,
               nlohmann-json3-dev,
               pkg-config,
               po4a,
               qtmultimedia5-dev (>= 5.4),
               qtbase5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               rake,
               ruby,
               xsltproc,
               zlib1g-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libebml4v5 (>= 1.3.7), libmatroska6v5 (>= 1.5.0)
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
+export QT_SELECT=5
 
 %:
 	dh $@
@@ -37,3 +38,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mkvtoolnix 37.0.0

=== debian/changelog ===
mkvtoolnix (37.0.0-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:01:36 +0000

mkvtoolnix (37.0.0-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build with --disable-update-check (Closes: #935049)

 -- Christian Marillat <marillat@debian.org>  Sat, 24 Aug 2019 11:34:50 +0200

mkvtoolnix (36.0.0-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Sat, 10 Aug 2019 17:40:05 +0200

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 12), libboost-math-dev, libboost-regex-dev,
 libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.5.0),
 libogg-dev, libpcre3-dev, libvorbis-dev, ruby, liblzo2-dev, zlib1g-dev,
 libcurl4-gnutls-dev, pkg-config, libboost-date-time-dev, libpugixml-dev,
 qt5-default (>= 5.4~), libboost-filesystem1.67-dev, rake, po4a,
 nlohmann-json3-dev, xsltproc, docbook-xsl, qtmultimedia5-dev, libfmt-dev,
 libebml-dev (>= 1.3.5~), libcmark-dev (>= 0.28.3~)

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
-export QT_SELECT=5
 
 %:
 	dh $@
@@ -16,7 +15,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
-	--enable-debug
+	--disable-update-check --enable-debug
 
 #	exit 1
 
@@ -38,6 +37,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## mkvtoolnix 38.0.0

=== debian/changelog ===
mkvtoolnix (38.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Oct 2019 18:52:04 -0700

mkvtoolnix (37.0.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Sep 2019 16:19:13 -0700

## mkvtoolnix 39.0.0

=== debian/changelog ===
mkvtoolnix (39.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 07 Nov 2019 07:41:34 +0100

mkvtoolnix (38.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 06 Oct 2019 16:42:10 +0200

## mkvtoolnix 40.0.0

=== debian/changelog ===
mkvtoolnix (40.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Nov 2019 22:21:49 -0800

mkvtoolnix (39.0.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Nov 2019 19:40:25 -0800

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 10.2),
               docbook-xsl,
               libboost-date-time-dev (>= 1.58),
               libboost-filesystem-dev (>= 1.58),
               libboost-math-dev (>= 1.58),
               libboost-regex-dev (>= 1.58),
               libbz2-dev,
               libcmark-dev (>= 0.28.3),
               libcurl4-gnutls-dev,
               libebml-dev (>= 1.3.7),
               libflac-dev,
               libfmt-dev,
               liblzo2-dev,
               libmagic-dev,
               libmatroska-dev (>= 1.5.0),
               libogg-dev,
               libpcre3-dev,
               libpugixml-dev,
               libvorbis-dev,
               nlohmann-json3-dev,
               pkg-config,
               po4a,
               qtmultimedia5-dev (>= 5.4),
               qtbase5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               rake,
               ruby,
               xsltproc,
               zlib1g-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libebml4v5 (>= 1.3.7), libmatroska6v5 (>= 1.5.0)
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC
+export QT_SELECT=5
 
 %:
 	dh $@
@@ -37,3 +38,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
